Check semantics of NoSmallFactorSeq
26 Feb 2018 15:48 - John Abbott

Status: Closed Start date: 26 Feb 2018
Priority: Normal Due date:

Assignee: John Abbott % Done: 100%
Category: Improving Estimated time: 5.55 hours
Target version: CoCoALib-0.99600 Spent time: 5.50 hours
Description

| have just added the new class NoSmallFactorSeq but it is awkward to use.

Reconsider its public interface.

History

#1 - 27 Feb 2018 16:37 - John Abbott
- Status changed from New to Resolved
- Assignee set to John Abbott

- % Done changed from 0 to 60

| have introduced a new class FastMostlyPrimeSeq which produces an increasing sequence of positive integers which contains all the primes, and
just a few composites. op++ is reasonably fast; much faster than for PrimeSeq.

This uses internally NoSmallFactorSeq.

#2 - 09 Mar 2018 18:05 - John Abbott
- % Done changed from 60 to 70

Currently the choice of biggest prime which is "filtered" is somewhat arbitrary.
Is it worth doing anything more refined?

#3 - 12 Jun 2018 16:22 - John Abbott
- Status changed from Resolved to Feedback

- % Done changed from 70 to 90

| have no ideas for improving this currently. So have moved to "feedback".
#4 - 03 Aug 2018 16:01 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 90 to 100
- Estimated time set to 5.55 h
